# Navigation Overview

This section provides details on how to create NavMeshes for your [**scene**][1], [**NavMesh**][2] Agents, NavMesh Obstacles and Off-Mesh Links. It contains the following topics:

- [Create a NavMesh](CreateNavMesh.md)
- [Create a NavMesh Agent](CreateNavMeshAgent.md)
- [Create a NavMesh Obstacle](CreateNavMeshObstacle.md)
- [Create an Off-mesh Link](CreateOffMeshLink.md)
- [Using NavMesh Agent with Other Components](MixingComponents.md)
- [Advanced Navigation How-tos](NavHowTos.md)


[1]: https://docs.unity3d.com/Manual/CreatingScenes.html "A Scene contains the environments and menus of your game. Think of each unique Scene file as a unique level. In each Scene, you place your environments, obstacles, and decorations, essentially designing and building your game in pieces."
[2]: ./Glossary.md "A mesh that Unity generates to approximate the walkable areas and obstacles in your environment for path finding and AI-controlled navigation."
